#
# This is an intention for me to NOT split libqof from gnotime for now,
# since libqof should be a shared library of gnotime and gnucash, and
# worth its own package later. But things are still in flux and not
# ready for prime time yet. It will be done later. -- Abel
#

%define	version	2.2.3
%define release	%mkrel 1

Summary:	Desktop utility for tracking amount of time spent on projects
Name:		gnotime
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://gttr.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		ftp://osdn.dl.sourceforge.net/pub/sourceforge/g/gt/gttr/%{name}-%{version}.tar.bz2

BuildRequires:	libgnomeui2-devel >= 2.0.3
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	libgtkhtml-3.8-devel
BuildRequires:	guile-devel
BuildRequires:	bison
BuildRequires:	scrollkeeper
BuildRequires:	flex
BuildRequires:	automake1.7
BuildRequires:	perl-XML-Parser
BuildRequires:	intltool desktop-file-utils
BuildRequires:  libqof-devel
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper

%description
The GNOME Time Tracker is a desktop utility for tracking the amount of time
spent on projects, and generating configurable reports and invoices based
on that time. It also makes for a good to-to list tracker and idea organizer,
allowing to-do list items to be sorted even while providing ample notes-taking
area associated with each item.

GnoTime used to be known as GTT and was a part of the gnome-utils package.
It has now been split out of that package, and ported to GNOME 2.

%prep
%setup -q

perl -p -i -e 's/gnome-cromagnon.png/gnome-cromagnon/g' gnotime.desktop
perl -p -i -e 's/gnome-cromagnon.png/gnome-cromagnon/g' gnotime.desktop.in

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/%{name}" \
icon="%{_datadir}/pixmaps/gnome-cromagnon" \
longtitle="To-Do List Organizer, Diary and Billing System" \
needs="x11" \
section="Office/Time Management" \
title="GnoTime Tracking Tool" \
startup_notify="yes" \
xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Office;Calendar" \
  --add-category="X-MandrivaLinux-Office-TimeManagement" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# remove devel stuff for now, until libqof has its own package
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.{a,la,so}

%define gettext_package %{name}-2.0
%{find_lang} %{gettext_package} --with-gnome --all-name

%post
/sbin/ldconfig
%update_menus
%post_install_gconf_schemas %{name}
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
/sbin/ldconfig
%clean_menus
%clean_scrollkeeper

%clean
rm -rf %{buildroot}


%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/omf/*
%{_mandir}/man?/*
%{_menudir}/%{name}


%changelog
* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.3-1mdv2008.1
+ Revision: 119397
- New release 2.2.3
- New release 2.2.3


* Sat Mar 31 2007 Austin Acton <austin@mandriva.org> 2.2.2-4mdv2007.1
+ Revision: 149973
- rebuild for guile
- Import gnotime

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.2-3mdv2007.0
- xdg menu
- gconf and scrollkeeper macros

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdv2007.0
- Rebuild with latest libgail

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk
- Release 2.2.2
- Fix prereq

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-4mdk 
- Rebuild with latest howl
- Fix menu

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.2.1-3mdk
- Fix BuildRequires

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 2.2.1-2mdk
- Rebuild

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 2.2.1-1mdk
- New version
- Add missing doc

* Sat Apr 24 2004 Abel Cheung <deaddog@deaddog.org> 2.1.9-1mdk
- New version
- Patch0: I want parallel build

